//
//  SettingsPicker.m
//  iSold_Apps
//
//  Created by Steve Sebban on 27/09/09.
//  Copyright 2009 KPL Production Services, Ltd.. All rights reserved.
//

#import "SettingsPicker.h"


@implementation SettingsPicker

NSArray *arrayOfTitles;

- (id)initWithFrame:(CGRect)frame withArray:(NSArray *)array {
    if (self = [self initWithFrame:frame]) {
		[self setDelegate:self];
		[self setDataSource:self];
		[self setShowsSelectionIndicator:YES];
		arrayOfTitles = array;
    }
    return self;
}

/*
- (void)drawRect:(CGRect)rect {
    // Drawing code
}
*/

- (NSInteger)numberOfComponentsInPickerView:(UIPickerView *)pickerView {
	return 1;
}

- (NSInteger)pickerView:(UIPickerView *)pickerView numberOfRowsInComponent:(NSInteger)component {
	return [arrayOfTitles count];	
}

- (NSString *)pickerView:(UIPickerView *)pickerView titleForRow:(NSInteger)row forComponent:(NSInteger)component {
	return [arrayOfTitles objectAtIndex:row];
}

//- (CGFloat)pickerView:(UIPickerView *)pickerView rowHeightForComponent:(NSInteger)component

//- (CGFloat)pickerView:(UIPickerView *)pickerView widthForComponent:(NSInteger)component



- (void)dealloc {
    [super dealloc];
}


@end
