//
//  DailyReportByRegPerProdTVC.h
//  iSold_Apps
//
//  Created by Steve Sebban on 10/10/09.
//  Copyright 2009 KPL Production Services, Ltd.. All rights reserved.
//

#import <UIKit/UIKit.h>
#import "DailyReportByRegPerProdTCell.h"
#import "currencyObject.h"


@interface DailyReportByRegPerProdTVC : UITableViewController {

	IBOutlet UIImageView *appIcon;
	IBOutlet UILabel *appName;
	IBOutlet UILabel *dateOfLastestSales;
	IBOutlet UILabel *revenueLabel;
	IBOutlet UILabel *salesLabel;
	IBOutlet UILabel *upgradesLabel;

}

@property (nonatomic, retain) IBOutlet UIImageView *appIcon;
@property (nonatomic, retain) IBOutlet UILabel *appName;
@property (nonatomic,assign) IBOutlet UILabel *dateOfLastestSales;
@property (nonatomic,assign) IBOutlet UILabel *revenueLabel;
@property (nonatomic,assign) IBOutlet UILabel *salesLabel;
@property (nonatomic,assign) IBOutlet UILabel *upgradesLabel;

- (void) populateDailyReportPerRegionWith: (NSDictionary *) dictionary 
							andDailyTotal: (NSArray *) dailyTotal 
							andFlagImages: (NSArray *) flags
							  andAppInfo: (NSArray *) appInfo
						   keepOriginalRC: (int) kORC
								iCurrency: (NSString *) currency;

@end
