//
//  SettingsObject.h
//  iSold_Apps
//
//  Created by Steve Sebban on 25/09/09.
//  Copyright 2009 KPL Production Services, Ltd.. All rights reserved.
//

#import <Foundation/Foundation.h>


@interface SettingsObject : NSObject {
	NSString *interfaceCurrency, *userName, *password;
	int dateFormat;
	BOOL checkAtLaunch, keepOriginalRegionCurrency, validatedNamesAndPassword;
	
}

@property (readwrite, assign) NSString *interfaceCurrency;
@property (readwrite, assign) NSString *userName;
@property (readwrite, assign) NSString *password;
@property (readwrite, assign) int dateFormat;
@property (readwrite, assign) BOOL checkAtLaunch;
@property (readwrite, assign) BOOL keepOriginalRegionCurrency;
@property (readwrite, assign) BOOL validatedNamesAndPassword;


- (SettingsObject *) initWithUserName: (NSString *) name
							 password: (NSString *) pword
			validatedNamesAndPassword: (BOOL) validatedAccess
					interfaceCurrency: (NSString *) currency
							  dFormat: (int) format
						checkAtLaunch: (BOOL) checkAL
		   keepOriginalRegionCurrency: (BOOL) keepOriginalRC;
@end
